#*******************************************************************************
#    Copyright (C) 2011 K. Vasudevan. Indian Institute of Technology Kanpur.
#    All Rights Reserved.
#*******************************************************************************
# Plot of the bit error rates for coded and uncoded OFDM with estimated
# channel, frequency offset and timing.
#*******************************************************************************
#*******************************************************************************
# Gnuplot file. To plot the graph run gnuplot and at the gnuplot prompt
# type: load "dmt9_ber.gp"<RETURN>
# If you want the output on the screen, comment the following two lines:
# set term postscript eps color 22
# set output "dmt9_ber.eps"
# Comment lines begin with a #.
# For help on gnuplot, run gnuplot and type the following at the gnuplot
# prompt: help
#*******************************************************************************
set term postscript eps color 22
set key left bottom box
#set grid xtics ytics mytics lw 0.5 lw 0.5
set format y "%2.1e"
set output "dmt9_ber.eps"
set logscale y
#set xlabel "E_b/N_0 (dB)"
#set ylabel "Bit error rate"
plot "dmt9_estch_o1024_p512_uc.dat" t\
     "Uncoded"\
      w linespoints lt 1 lw 2 pt 1,\
     "dmt9_estch_o1024_p512_c4st_8iter.dat" t\
     "Turbo coded"\
      w linespoints lt 3 lw 2 pt 2
